@echo off

rem This batch file is used by the mgmtServerService Windows service wrapper.
rem The only changes that should ever be made to this file are located in
rem the user configurable section.  Please do not make any other changes.  

rem ==== User Configurable Section  ====

rem - If WASCE is installed to non-standard location, change the following to that location.
set WASCE_BIN="C:\Program Files\IBM Optim\shared\WebSphere\AppServerCommunityEdition\bin"

rem - If the default user, password or port are non-default, change the following.
set USER=system
set PASSWORD=manager
set PORT=1099

rem ==== Do not make changes from here on ====
rem if "%1%" == "" goto error
if "%1%" == "start" goto start
if "%1%" == "stop" goto stop
goto end
:start
call %WASCE_BIN%\start-server.bat
goto end
:stop
java -jar %WASCE_BIN%\shutdown.jar --user %USER% --password %PASSWORD% --port %PORT%
goto end 
:error
echo You must specify start or stop.
echo Usage:  mgmtServerService stop | start
:end

